Subject: [Fecframe] Fwd: Using the same CNAME for multiple hosts

From: Marshall Eubanks <[email-masked]>
Date: Fri, 6 Mar 2009 09:51:45 -0500

I am sending this for Roni. Some mail weirdness is still going on.

Marshall

Begin forwarded message:

> From: "Roni Even" <[email-masked]>
> Date: March 6, 2009 6:26:22 AM EST
> To: <[email-masked]>
> Cc: "'Marshall Eubanks'" <[email-masked]>
> Subject: Using the same CNAME for multiple hosts
>
> I am resending to fecframe.
>
> Hi Ali,
> I had some offline discussion with Colin and Steve Casner.
> All of us think that this approach is OK. RFC 3550 does not require  
> that the CNAME will be attached to a specific endpoint.
> The relevant text is
> "
> If each application creates its CNAME independently, the resulting
>    CNAMEs may not be identical as would be required to provide a  
> binding
>    across multiple media tools belonging to one participant in a set  
> of
>    related RTP sessions.  If cross-media binding is required, it may  
> be
>    necessary for the CNAME of each tool to be externally configured  
> with
>    the same value by a coordination tool. "
>
> This says that you will need a way to coordinate the CNAME and to  
> keep it for the relevant streams.
> Example is a video with repair stream and the associated audio  
> stream should all have the same CNAME.
>
> Note that you may have a case when one host (FEC encoder) may use  
> multiple CNAMEs.
>
> The PROBLEM I see is with RFC 5109 mostly section 14.1 that explains  
> why you shall not multiplex both streams based on SSRC.
> This was a change from RFC 2733. Maybe it will be good to review  
> this text in RFC 5109 and update the draft.
>
> Regards
> Roni Even
>